# std::pmr::memory_resource::do_allocate

From cppreference.com
< cpp‎ | memory‎ | memory resource

virtual void* do_allocate(std::size_t bytes, std::size_t alignment) = 0; |  | (since C++17)

Allocates storage with a size of at least `bytes` bytes. The returned storage is aligned to the specified `alignment` if such alignment is supported, and to alignof(std::max_align_t) otherwise.

`alignment` shall be a power of two.

### Exceptions

Throws an exception if storage of the requested size and alignment cannot be obtained.

### See also

allocate | allocates memory (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/memory_resource/do_allocate&oldid=84241"